Summary: file(1) command
Name: file
%define version	3.23
Version: %{version}
Release: 2
Copyright: distributable
Group: Utilities/File
Source: ftp://ftp.astron.com/pub/file/file-%{version}.tar.gz
Patch0: file-%{version}-misc.patch
Patch1: file-%{version}-makefile.patch
Patch2: file-%{version}-magic.patch
Packager: Jeff Johnson <jbj@jbj.org>
BuildRoot: /var/tmp/file-root

%description
This package is useful for finding out what type of file you are looking 
at on your system.  For example, if an fsck results in a file being stored 
in lost+found, you can run file on it to find out if it's safe to 'more' 
it or if it's a binary. It recognizes many file types, including ELF binaries,
system libraries, RPM packages, and many different graphics formats.

%prep
%setup
rm Magdir/linux.orig Magdir/linux.rej
%patch0 -p1 -b .misc
%patch1 -p1 -b .makefile
%patch2 -p0
rm Magdir/elf.orig Magdir/linux.orig

%build
make COPTS=$RPM_OPT_FLAGS

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT/usr install install.man

%files
/usr/bin/file
/usr/lib/magic
/usr/man/man1/file.1
/usr/man/man4/magic.4

%changelog

* Thu Feb 05 1998 Jeff Johnson <jbj@jbj.org>

- Upgrade to file-3.23.
- Eliminate:
-	file-3.22-glibc.patch not needed with glibc-2.0.6
-	file-3.20-newk.patch bundled into file-x.xx-magic.patch
-	file-3.22-64timet.patch already in file-3.23.tar.gz
- Merge in contrib/SRPMS/file-3.22-7 modifications.
-	file-3.22-pcl.patch bundled into file-x.xx-magic.patch

* Fri Jan 23 1998 Markus Pilzecker <mp@rhein-neckar.netsurf.de>

- added some more patterns for hp's pcl.
- BuildRoot
- some minor improvements in Makefile

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>

- built against glibc

* Mon Mar 31 1997 Erik Troan <ewt@redhat.com>

- Fixed problems caused by 64 bit time_t.

* Thu Mar 06 1997 Michael K. Johnson <johnsonm@redhat.com>

- Improved recognition of Linux kernel images.

